Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class PKIFreeText

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cmp.PKIFreeText

All Implemented Interfaces:
  DEREncodable

public class PKIFreeText
extends ASN1Encodable

Constructor Summary
`PKIFreeText(ASN1Sequence seq)`
`PKIFreeText(DERUTF8String p)`

Method Summary
`static PKIFreeText` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static PKIFreeText` | `getInstance(java.lang.Object obj)`
`DERUTF8String` | `getStringAt(int i)` Return the UTF8STRING at index i.
`int` | `size()` Return the number of string elements present.
`DERObject` | `toASN1Object()` PKIFreeText ::= SEQUENCE SIZE (1..MAX) OF UTF8String

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIFreeText

    public PKIFreeText(ASN1Sequence seq)

### PKIFreeText

    public PKIFreeText(DERUTF8String p)

Method Detail

### getInstance

    public static PKIFreeText getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getInstance

    public static PKIFreeText getInstance(java.lang.Object obj)

### size

    public int size()

  Return the number of string elements present.

  Returns:
    number of elements present.

### getStringAt

    public DERUTF8String getStringAt(int i)

  Return the UTF8STRING at index i.

  Parameters:
    `i` - index of the string of interest
  Returns:
    the string at index i.

### toASN1Object

    public DERObject toASN1Object()

       PKIFreeText ::= SEQUENCE SIZE (1..MAX) OF UTF8String

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD